<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Frameset//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-frameset.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets">

<h:head>
	<title>Lancamento</title>

</h:head>
<h:body>

	<ui:include src="menu.xhtml" />




	<h:form id="formLancamento" style="margin-top:22%; margin-left:40%;">
		<h:panelGrid columns="2">
			<f:facet name="header">
				<h:outputText value="Lançamentos" />

			</f:facet>
			<h:outputLabel value="ID:" />
			<h:inputText value="#{lancamentoBean.lancamento.id}" readonly="true" />

			<h:outputLabel value="Nota:" />
			<h:inputText value="#{lancamentoBean.lancamento.numeroNotaFiscal}" />

			<h:outputLabel value="Origem:" />
			<h:inputText value="#{lancamentoBean.lancamento.empresaOrigem}" />

			<h:outputLabel value="Destino:" />
			<h:inputText value="#{lancamentoBean.lancamento.empresaDestino}" />

			<h:outputLabel />
			<h:panelGroup>
				<h:commandButton value="Novo" action="#{lancamentoBean.novo}"
					style="height:30px; width:30px;" image="/resources/img/add.png"
					title="Novo" />
				<h:commandButton style="margin-left:1cm;height:30px; width:30px;"
					value="Salvar" action="#{lancamentoBean.salvar}"
					image="/resources/img/save.png" title="Salvar" />
				<h:commandButton style="margin-left:1cm;" value="Remove"
					action="#{lancamentoBean.remove}" title="Remover"
					rendered="#{pessoasBean.permiteAcesso('ADMINISTRADOR')}" />
				<h:commandButton style="margin-left:1cm;" value="Limpar"
					type="reset" title="Limpar" />
			</h:panelGroup>
		</h:panelGrid>

		<h:dataTable value="#{lancamentoBean.listLancamento}" var="lanc"
			border="3">
			<f:facet name="header">Lista de Lancamentos</f:facet>
			<h:column>
				<f:facet name="header">ID</f:facet>
				<h:outputLabel value="#{lanc.id}" />
			</h:column>

			<h:column>
				<f:facet name="header">Nota</f:facet>
				<h:outputLabel value="#{lanc.numeroNotaFiscal}" />
			</h:column>

			<h:column>
				<f:facet name="header">Origem</f:facet>
				<h:outputLabel value="#{lanc.empresaOrigem}" />
			</h:column>

			<h:column>
				<f:facet name="header">Destino</f:facet>
				<h:outputLabel value="#{lanc.empresaDestino}" />
			</h:column>

			<h:column>
				<f:facet name="header">Usuario</f:facet>
				<h:outputLabel value="#{lanc.usuario.nome}" />
			</h:column>

			<h:column>
				<f:facet name="header">Editar</f:facet>
				<h:commandLink title="Editar">
					<h:graphicImage value="/resources/img/tools-and-utensils.png"
						style="height:30px; width:30px" />
					<f:setPropertyActionListener target="#{lancamentoBean.lancamento}"
						value="#{lanc}" />
					<f:ajax render="@form" />
				</h:commandLink>
			</h:column>


			<h:column rendered="#{pessoasBean.permiteAcesso('ADMINISTRADOR')}">
				<f:facet name="header">Excluir</f:facet>
				<h:commandLink action="#{lancamentoBean.remove}" title="Excluir">
					<f:setPropertyActionListener target="#{lancamentoBean.lancamento}"
						value="#{lanc}" />
					<h:graphicImage value="/resources/img/rubber.png"
						style="height:30px; width:30px" />
				</h:commandLink>
			</h:column>

		</h:dataTable>

	</h:form>
</h:body>
</html>